VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier` interface provides string constants that can be used as identifiers for the metadata elements.

Most of the types in :mod:`com.vmware.vapi.metadata.metamodel` package has a metadata field whose type is `Map<String, ElementMap>` . class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains the identifiers used in the keys of the above Map type.

Constant String::CANONICAL_NAME # Identifier representing the CanonicalName metadata. Constant String::COMPONENT # Identifier representing the Component metadata. Constant String::CREATE # Identifier representing the Create metadata. Constant String::CRUD # Identifier representing the Crud metadata. Constant String::HAS_FIELDS_OF # Identifier representing the HasFieldsOf metadata. Constant String::INCLUDABLE # Identifier representing the Includable metadata. Constant String::INCLUDE # Identifier representing the Include metadata. Constant String::IS_ONE_OF # Identifier representing the IsOneOf metadata. Constant String::MODEL # Identifier representing the Model metadata. Constant String::READ # Identifier representing the Read metadata. Constant String::RESOURCE # Identifier representing the Resource metadata. Constant String::UNION_CASE # Identifier representing the UnionCase metadata. Constant String::UNION_TAG # Identifier representing the UnionTag metadata. Constant String::UPDATE # Identifier representing the Update metadata.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/MetadataIdentifier.pm